Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(45)

Issue 2692863007: Add a DCHECK to ensure that WindowTreeClient has a delegate (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months, 1 week ago by fwang
Modified:
3 months, 1 week ago
Reviewers:
sadrul, sky, tonikitoo
CC:
chromium-reviews, kalyank, sadrul, tonikitoo
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add a DCHECK to ensure that WindowTreeClient has a delegate It is assumed in various places from WindowTreeClient that a delegate_ is available. This CL adds a DCHECK in the constructor to ensure that this assumption holds. BUG=None Review-Url: https://codereview.chromium.org/2692863007 Cr-Commit-Position: refs/heads/master@{#451445} Committed: https://chromium.googlesource.com/chromium/src/+/dc652be25ec1400b7f120a96398e5a7de89b4cd4

Patch Set 1 #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+1 line, -0 lines) Patch
M ui/aura/mus/window_tree_client.cc View 1 chunk +1 line, -0 lines 1 comment Download
Trybot results:  linux_chromium_tsan_rel_ng   chromium_presubmit   win_chromium_rel_ng   win_chromium_x64_rel_ng   win_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   linux_chromium_rel_ng   linux_chromium_tsan_rel_ng   win_chromium_compile_dbg_ng   ios-simulator   ios-device-xcode-clang   mac_chromium_rel_ng   win_clang   ios-device   android_compile_dbg   android_n5x_swarming_rel   chromium_presubmit   linux_android_rel_ng   linux_chromium_chromeos_rel_ng   android_cronet   cast_shell_android   android_arm64_dbg_recipe   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   android_clang_dbg_recipe   linux_chromium_compile_dbg_ng   chromeos_amd64-generic_chromium_compile_only_ng   linux_chromium_chromeos_ozone_rel_ng   cast_shell_linux   linux_chromium_chromeos_ozone_rel_ng   win_chromium_compile_dbg_ng   win_clang   win_chromium_x64_rel_ng   mac_chromium_rel_ng   win_chromium_rel_ng   chromeos_daisy_chromium_compile_only_ng   android_arm64_dbg_recipe   android_cronet   cast_shell_android   ios-device-xcode-clang   linux_chromium_asan_rel_ng   android_n5x_swarming_rel   chromium_presubmit   ios-simulator-xcode-clang   linux_chromium_chromeos_ozone_rel_ng   linux_android_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   android_compile_dbg   linux_chromium_tsan_rel_ng   android_clang_dbg_recipe   ios-device   linux_chromium_chromeos_rel_ng   ios-simulator   mac_chromium_compile_dbg_ng   linux_chromium_compile_dbg_ng   cast_shell_linux   linux_chromium_rel_ng 
Commit queue not available (can’t edit this change).

Messages

Total messages: 20 (12 generated)
fwang
PTAL
3 months, 1 week ago (2017-02-16 14:00:36 UTC) #6
fwang
3 months, 1 week ago (2017-02-17 06:51:17 UTC) #8
tonikitoo
https://codereview.chromium.org/2692863007/diff/1/ui/aura/mus/window_tree_client.cc File ui/aura/mus/window_tree_client.cc (right): https://codereview.chromium.org/2692863007/diff/1/ui/aura/mus/window_tree_client.cc#newcode181 ui/aura/mus/window_tree_client.cc:181: DCHECK(delegate_); alternatively, we could make 'delegate_' a reference instead, ...
3 months, 1 week ago (2017-02-17 17:10:28 UTC) #10
sky
LGTM - we generally don't use references for thinks like delegate.
3 months, 1 week ago (2017-02-17 20:51:32 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2692863007/1
3 months, 1 week ago (2017-02-17 21:56:07 UTC) #13
commit-bot: I haz the power
Try jobs failed on following builders: cast_shell_linux on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL) chromeos_amd64-generic_chromium_compile_only_ng on ...
3 months, 1 week ago (2017-02-18 00:00:12 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2692863007/1
3 months, 1 week ago (2017-02-18 07:28:49 UTC) #17
commit-bot: I haz the power
3 months, 1 week ago (2017-02-18 08:12:44 UTC) #20
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/chromium/src/+/dc652be25ec1400b7f120a96398e...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06